# Class InitializeError

An error that is thrown when there is a problem initializing an item.

#### Hierarchy

- Error
  - InitializeError

#####
Index

### Constructors

constructor

### Properties

error
failureMode
target

##
Constructors

### constructor

- new InitializeError(failureMode, error, target, message?, ...args): InitializeError

- Initializes a new instance of the support/InitializeError!InitializeError class.

  #### Parameters

  - failureMode: FailureMode

    Failure mode configured for initialization errors.

  - error: Error

    Original error that occurred.

  - target: Initializable

    The object that threw the error.

  - `Optional` message: string

    The error message. If not specified, a default one will be used.

  - `Rest`...args: unknown[]

    Additional arguments for placeholders in the message.

  #### Returns InitializeError

  Overrides Error.constructor

##
Properties

### error

error: Error

Original error that occurred.

### failureMode

failureMode: FailureMode

Failure mode configured for initialization errors.

### target

target: Initializable

The object that threw the error.